Bug 208025 - net-mgmt/zabbix*: CONFLICTS is broken
Summary: net-mgmt/zabbix*: CONFLICTS is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-15 14:17 UTC by Mark Felder
Modified: 2017-06-09 22:05 UTC (History)
1 user (show)

See Also:


Attachments
zabbix CONFLICTS patch (2.53 KB, patch)
2016-03-15 14:24 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2016-03-15 14:17:08 UTC
The logic for CONFLICTS is broken with all of the zabbix ports.

root@skeletor:/usr/ports/net-mgmt/zabbix24-server # make -V CONFLICTS
zabbix24-server-1.[0-8]* zabbix24-1.[0-8]*


zabbix24-server shouldn't conflict with zabbix24-server-1.x. That doesn't make any sense and it would never match. It might be easiest to define CONFLICTS in each port (slaves included) and specifically define the conflicting ports.

eg, for zabbix3-agent you would define:

CONFLICTS= zabbix2-agent-[0-9]* zabbix22-agent-[0-9]* zabbix24-agent-[0-9]*
Comment 1 Mark Felder freebsd_committer 2016-03-15 14:24:11 UTC
Created attachment 168239 [details]
zabbix CONFLICTS patch

This patch should correct the conflicts issue
Comment 2 pg 2016-03-16 07:25:41 UTC
Comment on attachment 168239 [details]
zabbix CONFLICTS patch

thanks
Comment 3 Mark Felder freebsd_committer 2017-06-09 22:05:08 UTC
Committed with minor changes
Comment 4 commit-hook freebsd_committer 2017-06-09 22:05:51 UTC
A commit references this bug:

Author: feld
Date: Fri Jun  9 22:04:52 UTC 2017
New revision: 443044
URL: https://svnweb.freebsd.org/changeset/ports/443044

Log:
  net-mgmt/zabbix*-server: Update CONFLICTS

  Rework conflicts to correctly match the other zabbix packages.

  PR:		208025

Changes:
  head/net-mgmt/zabbix2-server/Makefile
  head/net-mgmt/zabbix22-server/Makefile
  head/net-mgmt/zabbix3-server/Makefile
  head/net-mgmt/zabbix32-server/Makefile